'''簡易ポン出し！'''
# -*- coding:utf-8 -*-
from random import random
import pygame
from pygame.locals import *
import sys
import pygame.mixer
import time
import random
pygame.init()
screen = pygame.display.set_mode((400, 330))    # 画面を作成
pygame.display.set_caption("簡易ポン出し")    # タイトルを作成
#音楽関係
pygame.mixer.init(frequency = 44100)    # 初期設定
#pygame.mixer.music.load("ken-stage.wav")     # 音楽ファイルの読み込み
#pygame.mixer.music.play(-1)             # 音楽の再生回数(ループ再生)
sound = [
    pygame.mixer.Sound("a.wav"),
    pygame.mixer.Sound("s.wav"),
    pygame.mixer.Sound("d.wav"),
    pygame.mixer.Sound("f.wav"),
    pygame.mixer.Sound("g.wav"),
    pygame.mixer.Sound("h.wav"),
    pygame.mixer.Sound("q.wav"),
    pygame.mixer.Sound("w.wav"),
    pygame.mixer.Sound("e.wav"),
    pygame.mixer.Sound("r.wav"),
    pygame.mixer.Sound("t.wav"),
    pygame.mixer.Sound("y.wav"),
]
screen.fill((0, 0, 0)) 
img1 = pygame.image.load("title.jpg")
screen.blit(img1, (0, 0))
pygame.display.update()
while True: 
    for event in pygame.event.get():
        if event.type == QUIT:
            pygame.quit()
            sys.exit()
        if event.type == KEYDOWN:  # キーを押したとき
            # ESCキーならスクリプトを終了
            if event.key == K_ESCAPE:
                pygame.quit()
                sys.exit()
            elif  event.key == K_SPACE:
                pygame.mixer.stop()               
            else:
                push_key=pygame.key.name(event.key)
                if push_key=="a":
                    pygame.mixer.stop()
                    sound[0].play(-1)
                elif push_key=="s":
                    pygame.mixer.stop()
                    sound[1].play(-1)
                elif push_key=="d":
                    pygame.mixer.stop()
                    sound[2].play(-1)
                elif push_key=="f":
                    pygame.mixer.stop()
                    sound[3].play(-1)
                elif push_key=="g":
                    pygame.mixer.stop()
                    sound[4].play(-1)
                elif push_key=="h":
                    pygame.mixer.stop()
                    sound[5].play(-1)
                elif push_key=="q":
                    pygame.mixer.stop()
                    sound[6].play(-1)
                elif push_key=="w":
                    pygame.mixer.stop()
                    sound[7].play(-1)
                elif push_key=="e":
                    pygame.mixer.stop()
                    sound[8].play(-1)
                elif push_key=="r":
                    pygame.mixer.stop()
                    sound[9].play(-1)
                elif push_key=="t":
                    pygame.mixer.stop()
                    sound[10].play(-1)
                elif push_key=="y":
                    pygame.mixer.stop()
                    sound[11].play(-1)
